package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetStatusDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetStatus;
import com.loafle.overflow.service.central.meta.MetaTargetStatusService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetStatusService")
public class CentralMetaTargetStatusService implements MetaTargetStatusService {

  @Autowired
  private MetaTargetStatusDAO metaTargetStatusDAO;

  @Override
  public MetaTargetStatus regist(MetaTargetStatus metaTargetStatus) throws OverflowException {
    return this.metaTargetStatusDAO.save(metaTargetStatus);
  }

  @Override
  public MetaTargetStatus readByKey(String key) throws OverflowException {
    return this.metaTargetStatusDAO.findByKey(key);
  }

  @Override
  public List<MetaTargetStatus> readAll() throws OverflowException {
    return this.metaTargetStatusDAO.findAll();
  }
}
